pandoc-1.19.2.1: Conversion between markup formats

Copyright | Copyright (C) 2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.CommonMark

Description

Conversion of CommonMark-formatted plain text to `Pandoc` document.

CommonMark is a strongly specified variant of Markdown: http://commonmark.org.

Synopsis

- readCommonMark :: ReaderOptions -> String -> Either PandocError Pandoc

# Documentation

readCommonMark :: ReaderOptions -> String -> Either PandocError Pandoc #

Parse a CommonMark formatted string into a `Pandoc` structure.